Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-3447

Overview

Vulnerability Score 4.9 4.9
CVE Id CVE-2012-3447
Last Modified 21 Aug 2012 12:00:00
Published 20 Aug 2012 02:55:03
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication SINGLE_INSTANCE

CVE-2012-3447

Summary

virt/disk/api.py in OpenStack Compute (Nova) 2012.1.x before 2012.1.2 and Folsom before Folsom-3 allows remote authenticated users to overwrite arbitrary files via a symlink attack on a file in an image that uses a symlink that is only readable by root. NOTE: this vulnerability exists because of an incomplete fix for CVE-2012-3361.

Vulnerable Systems

Application

  • Openstack Folsom

  • Openstack Nova 2012.1


References

CONFIRM - https://review.openstack.org/#/c/10953/

CONFIRM - https://github.com/openstack/nova/commit/d9577ce9f266166a297488445b5b0c93c1ddb368

CONFIRM - https://github.com/openstack/nova/commit/ce4b2e27be45a85b310237615c47eb53f37bb5f3

MISC - https://bugzilla.redhat.com/show_bug.cgi?id=845106

CONFIRM - https://bugs.launchpad.net/nova/+bug/1031311

XF - openstack-nova-code-execution(77539)

BID - 54869

MLIST - [oss-security] 20120807 [OSSA 2012-011] Compute node filesystem injection/corruption (CVE-2012-3447)


Last Updated: 27 May 2016 10:53:36